已解决
发布

Tengine如何编译http2模块
我用升级脚本升级到了2.1.2,但是使用http2报错
应该是没有编译这个模块的问题,请问如何在编译的时候增加
with-http_ssl_module —with-http_v2_module
或者怎样手动去编译

3 答案

发布
管理员 2016-08-15

tengine 2.1.2 官方源码有问题,请到github下载最新编译

#1
发布

怎么编译
那编译的目录要在哪

#2
发布
管理员 2016-08-16
cd oneinstack/src
git clone https://github.com/alibaba/tengine.git
cd tengine
./configure --prefix=/usr/local/tengine --user=www --group=www \
--with-http_stub_status_module --with-http_spdy_module --with-http_ssl_module \
--with-ipv6 --with-http_gzip_static_module --with-http_realip_module --with-http_flv_module \
--with-http_concat_module=shared --with-http_sysguard_module=shared \
--with-openssl=../openssl-1.0.2h --with-pcre=../pcre-8.39 --with-pcre-jit \
--with-jemalloc --add-module=../模块目录
make
mv /usr/local/tengine/sbin/nginx{,_bk}
cp objs/nginx /usr/local/tengine/sbin/
nginx -t #检查语法
service nginx restart
#3

请登录或者 注册 来提交答案